====================
GeoSentinel Library
====================

This Library get the next products using Sentinel-2 images: 
==============================================================
  * Download
  * UnZip
  * Read Images
  * Resample
  * SubSet
  * Index
  * Merge (RGB)

Required modules:
====================

  * Python 2.7 x64 : https://www.python.org/downloads/
  * Sentinelsat    : https://github.com/sentinelsat/sentinelsat
  * SNAP ESA       : http://step.esa.int/main/download/  


Installation:
==============================

``$ pip install sentinelsat``

``$ pip install numpy``

``$ sudo apt update``

``$ sudo apt install default-jre``

Install SNAP and cofigure python2.7

Example:
========

APISentinel download product(s) list Sentinel

``$ cd ~/GeoSentinel/geosentinel``

``$ python -m doctest -v APISetinel.py``

``$ python -m doctest -v UnZip.py``

  .. image:: https://img.shields.io/badge/license-AGPL--3-blue.png
   :target: https://www.gnu.org/licenses/agpl
   :alt: License: AGPL-3