#!/bin/sh
#Convert L1C Products to L2A using L2A_Process
INPUTDIR=$1	#Top directory with a L1C Subirectory


cd $INPUTDIR/L1C

if [ ! -d ../L2A ]; then
	mkdir ../L2A
fi

for f in $(find . -type f -name '*.zip')
do
	cd $INPUTDIR/L2A
	echo $f
	Z1=$(echo $f | cut -d "_" -f1)
	Z2=$(echo $f | cut -d "_" -f3,4,5,6,7 | cut -d "." -f1)

	ZIPFILE=$Z1"_MSIL2A_"$Z2.zip
	echo $ZIPFILE
	if [ ! -e $ZIPFILE ]; then
		unzip ../L1C/$f
		DIRNAME=$(echo $f | cut -d "." -f1,2)
		echo $DIRNAME
		L2A_Process $DIRNAME.SAFE
		L2A=$(ls -d S2*_MSIL2A* -t |head -1)	
		L2A=$(echo $L2A | cut -d "." -f1)
		zip -r $L2A.zip $L2A.SAFE/

		rm -r *.SAFE
	fi
	cd $INPUTDIR/L1C
#	break
done


