////////////////////////////////////////////////////////////////////////////////
/**
*	@file	main.cpp
*	@author	Mario Chirinos Colunga
*	@date	
*	@note	main file template
*/
////////////////////////////////////////////////////////////////////////////////

#include <iostream>
#include <cstdlib>
#include <string>
#include "ADT_Jasper.h"
using namespace std;
//------------------------------------------------------------------------------
int main(int argc, char *argv[])
{
	if(argc < 2)
	{
		cerr << "too few arguments" << endl;
		return EXIT_FAILURE;
	}
	unsigned short *data;
	unsigned int width;
	unsigned int height;
	unsigned int nChannels;
	string str(argv[1]);

	ADT_jasper_openImage(data, width, height, nChannels, argv[1]);
	str = str.substr(0,str.length()-3) + "jpg";
	ADT_jasper_saveImage(data,width,height,nChannels, str.c_str(),"jpg");
 return 0;
}
//------------------------------------------------------------------------------
